> ## Documentation Index
> Fetch the complete documentation index at: https://docs.browserbase.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Function Build



## OpenAPI

````yaml get /v1/functions/builds/{id}
openapi: 3.0.0
info:
  title: Browserbase API
  description: Browserbase API for 3rd party developers
  version: v1
servers:
  - url: https://api.browserbase.com
    description: Public endpoint
    variables: {}
security:
  - BrowserbaseAuth: []
tags: []
paths:
  /v1/functions/builds/{id}:
    get:
      summary: Get a Function Build
      operationId: FunctionBuilds_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FunctionBuild'
components:
  schemas:
    FunctionBuild:
      type: object
      properties:
        id:
          type: string
          format: uuid
        projectId:
          type: string
          format: uuid
        request:
          type: object
          properties:
            entrypoint:
              type: string
              minLength: 1
            functionNames:
              type: array
              items:
                type: string
                minLength: 1
          required:
            - entrypoint
        status:
          type: string
          enum:
            - PENDING
            - RUNNING
            - COMPLETED
            - FAILED
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
        startedAt:
          type: string
          format: date-time
        endedAt:
          type: string
          format: date-time
        expiresAt:
          type: string
          format: date-time
        builtFunctions:
          type: array
          items:
            allOf:
              - $ref: '#/components/schemas/Function'
              - type: object
                properties:
                  createdVersion:
                    $ref: '#/components/schemas/FunctionVersion'
                required:
                  - createdVersion
        cause:
          type: object
          properties:
            code:
              type: string
              enum:
                - NO_MANIFESTS_FOUND
                - TOO_MANY_MANIFESTS
                - MANIFEST_TOO_LARGE
                - INVALID_SESSION_CREATE_PARAMS
                - TIMED_OUT
            message:
              type: string
              minLength: 1
          required:
            - code
      required:
        - id
        - projectId
        - request
        - status
        - createdAt
        - updatedAt
        - startedAt
        - expiresAt
    Function:
      type: object
      properties:
        id:
          type: string
          format: uuid
        projectId:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - projectId
        - name
        - createdAt
        - updatedAt
    FunctionVersion:
      type: object
      properties:
        id:
          type: string
          format: uuid
        projectId:
          type: string
          format: uuid
        functionId:
          type: string
          format: uuid
        functionBuildId:
          type: string
          format: uuid
        sessionCreateParams:
          description: JSON object that can be stored in a JSONB column
          type: object
          additionalProperties: true
          properties: {}
        userParamsSchema:
          description: JSON object that can be stored in a JSONB column
          type: object
          additionalProperties: true
          properties: {}
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - projectId
        - functionId
        - functionBuildId
        - createdAt
        - updatedAt
  securitySchemes:
    BrowserbaseAuth:
      type: apiKey
      in: header
      name: X-BB-API-Key
      description: Your [Browserbase API Key](https://www.browserbase.com/settings).

````